<template lang="pug">
div
	q-breadcrumbs(gutter="sm").q-mb-lg
		q-breadcrumbs-el(icon="home" to="/")
		q-breadcrumbs-el(label="Кухня" to="/kitchen")
		q-breadcrumbs-el(label="Ингредиенты")

	.inner
		table-kitchen-ingredients

</template>

<script lang="ts">
	import { defineComponent, onMounted } from 'vue'
	import TableKitchenIngredients from '@/pages/kitchen/children/ingredients/TableKitchenIngredients.vue'
	import { useKitchenIngredientsStore } from '@/pages/kitchen/children/ingredients/store'
	export default defineComponent({
		name: 'PageKitchenIngredients',

		components: {
			TableKitchenIngredients,
		},

		setup() {
			const store = useKitchenIngredientsStore()

			onMounted(() => {
				store.$reset()
			})
		},
	})
</script>
